[lammps-users] Problems to compile GPU package

Dear All,

If you have experience with the GPU package of lammps, please help me
out. I got the error information as follow:

make: *** No rule to make target `crml_gpu_memory.h', needed by
`crml_gpu_memory.o'. Stop.

I didn't find 'crml_gpu_memory.h' in the ./lib/gpu folder. Is anything wrong?

Your reply is appreciated~

Hongyi

Dear All,

If you have experience with the GPU package of lammps, please help me
out. I got the error information as follow:

make: *** No rule to make target `crml_gpu_memory.h', needed by
`crml_gpu_memory.o'. Stop.

I didn't find 'crml_gpu_memory.h' in the ./lib/gpu folder. Is anything wrong?

probably not on your side.

this is a file that would belong to a new feature that was
added in the latest patch and may have slipped through
the cracks.

if you need this feature (GPU support for CHARMM potentials),
you'll have to wait until this is fixed. if not, you can compile
lammps without GPU support or install/use an older version.

axel.

p.s.: you can download snapshots of arbitrary older versions
through the gitweb frontend here at temple:
http://git.icms.temple.edu/git/?p=lammps-ro.git;a=shortlog

The next patch will contain the missing file.

Steve